Subject: [bug#30604] [PATCH 3/4] linux-initrd: Add kmod.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 26 Feb 2018 12:51:51 +0100

Hey Danny,

> Because it's an option for specifying the location of "Module.symvers" - and
> I don't know whether guix uses it (probably not).  If one doesn't specify an
> option, depmod will default to the running kernel - which is not what we want.
>
> I should elaborate in the comment that, if we start using Module.symvers, we
> MUST pass "-E" there.  Maybe better to even just check for the file existence
> and add it right now, otherwise we might forget later.  What do you think?

Reading 'depmod' manpage, I understand that -E and -F are mutually
exclusive. Both options seem to have an interest only if -e is supplied
to "reports any symbols which a module needs which are not supplied by
other modules or the kernel".

So maybe something like "-F (string-append #$linux "/System.map") -e"
would make more sense ?

Mathieu